### Method

# Gck Object get_template_finish

#### Declaration [src]

    GckAttributes*
    gck_object_get_template_finish (
      GckObject* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the result of an operation to get attribute template from an object.

#### Parameters

`result` | `GAsyncResult`
| The result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckAttributes`
| The resulting PKCS#11 attribute template, or `NULL` if an error occurred.
| The caller of the method takes ownership of the data, and is responsible for freeing it.